Skip to main content
PUT
/
helm
/
{helmId}
/
advancedSettings
Edit advanced settings
curl --request PUT \
  --url https://api.qovery.com/helm/{helmId}/advancedSettings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deployment.custom_domain_check_enabled": true,
  "network.ingress.proxy_body_size_mb": 123,
  "network.ingress.force_ssl_redirect": true,
  "network.ingress.enable_cors": true,
  "network.ingress.cors_allow_origin": "<string>",
  "network.ingress.cors_allow_methods": "<string>",
  "network.ingress.cors_allow_headers": "<string>",
  "network.ingress.proxy_buffer_size_kb": 123,
  "network.ingress.keepalive_time_seconds": 123,
  "network.ingress.keepalive_timeout_seconds": 123,
  "network.ingress.send_timeout_seconds": 123,
  "network.ingress.proxy_connect_timeout_seconds": 123,
  "network.ingress.proxy_send_timeout_seconds": 123,
  "network.ingress.proxy_read_timeout_seconds": 123,
  "network.ingress.proxy_buffering": "<string>",
  "network.ingress.proxy_request_buffering": "<string>",
  "network.ingress.grpc_send_timeout_seconds": 123,
  "network.ingress.grpc_read_timeout_seconds": 123,
  "network.ingress.whitelist_source_range": "<string>",
  "network.ingress.denylist_source_range": "<string>",
  "network.ingress.extra_headers": "{\"X-Frame-Options\":\"DENY \",\"X-Content-Type-Options\":\"nosniff\"}",
  "network.ingress.basic_auth_env_var": "<string>",
  "network.ingress.enable_sticky_session": true,
  "network.gateway_api.http_request_timeout_seconds": 1,
  "network.gateway_api.http_connection_idle_timeout_seconds": 1
}
'
{
  "deployment.custom_domain_check_enabled": true,
  "network.ingress.proxy_body_size_mb": 123,
  "network.ingress.force_ssl_redirect": true,
  "network.ingress.enable_cors": true,
  "network.ingress.cors_allow_origin": "<string>",
  "network.ingress.cors_allow_methods": "<string>",
  "network.ingress.cors_allow_headers": "<string>",
  "network.ingress.proxy_buffer_size_kb": 123,
  "network.ingress.keepalive_time_seconds": 123,
  "network.ingress.keepalive_timeout_seconds": 123,
  "network.ingress.send_timeout_seconds": 123,
  "network.ingress.proxy_connect_timeout_seconds": 123,
  "network.ingress.proxy_send_timeout_seconds": 123,
  "network.ingress.proxy_read_timeout_seconds": 123,
  "network.ingress.proxy_buffering": "<string>",
  "network.ingress.proxy_request_buffering": "<string>",
  "network.ingress.grpc_send_timeout_seconds": 123,
  "network.ingress.grpc_read_timeout_seconds": 123,
  "network.ingress.whitelist_source_range": "<string>",
  "network.ingress.denylist_source_range": "<string>",
  "network.ingress.extra_headers": "{\"X-Frame-Options\":\"DENY \",\"X-Content-Type-Options\":\"nosniff\"}",
  "network.ingress.basic_auth_env_var": "<string>",
  "network.ingress.enable_sticky_session": true,
  "network.gateway_api.http_request_timeout_seconds": 1,
  "network.gateway_api.http_connection_idle_timeout_seconds": 1
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

helmId
string<uuid>
required

Helm ID

Body

application/json
deployment.custom_domain_check_enabled
boolean

disable custom domain check when deploying a helm

network.ingress.proxy_body_size_mb
integer
network.ingress.force_ssl_redirect
boolean

When using SSL offloading outside of cluster, you can enforce a redirect to HTTPS even when there is no TLS certificate available

network.ingress.enable_cors
boolean
network.ingress.cors_allow_origin
string
network.ingress.cors_allow_methods
string
network.ingress.cors_allow_headers
string
network.ingress.proxy_buffer_size_kb
integer

header buffer size used while reading response header from upstream

network.ingress.keepalive_time_seconds
integer

Limits the maximum time (in seconds) during which requests can be processed through one keepalive connection

network.ingress.keepalive_timeout_seconds
integer

Sets a timeout (in seconds) during which an idle keepalive connection to an upstream server will stay open.

network.ingress.send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a response to the client

network.ingress.proxy_connect_timeout_seconds
integer

Sets a timeout (in seconds) for establishing a connection to a proxied server

network.ingress.proxy_send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the proxied server

network.ingress.proxy_read_timeout_seconds
integer

Sets a timeout (in seconds) for reading a response from the proxied server

network.ingress.proxy_buffering
string

Allows to enable or disable nginx proxy-buffering

network.ingress.proxy_request_buffering
string

Allows to enable or disable nginx proxy-request-buffering

network.ingress.grpc_send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the grpc server

network.ingress.grpc_read_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the grpc server

network.ingress.whitelist_source_range
string

list of source ranges to allow access to ingress proxy. This property can be used to whitelist source IP ranges for ingress proxy. The value is a comma separated list of CIDRs, e.g. 10.0.0.0/24,172.10.0.1 To allow all source ranges, set 0.0.0.0/0.

network.ingress.denylist_source_range
string

list of source ranges to deny access to ingress proxy. This property can be used to blacklist source IP ranges for ingress proxy. The value is a comma separated list of CIDRs, e.g. 10.0.0.0/24,172.10.0.1

network.ingress.extra_headers
string

Allows to define response headers

Example:

"{\"X-Frame-Options\":\"DENY \",\"X-Content-Type-Options\":\"nosniff\"}"

network.ingress.basic_auth_env_var
string

Set the name of an environment variable to use as a basic authentication (login:crypted_password) from htpasswd command. You can add multiples comma separated values.

network.ingress.enable_sticky_session
boolean

Enable the load balancer to bind a user's session to a specific target. This ensures that all requests from the user during the session are sent to the same target

network.gateway_api.http_request_timeout_seconds
integer | null

Sets a timeout (in seconds) for requests proxied through the Gateway API route.

Required range: x >= 0
network.gateway_api.http_connection_idle_timeout_seconds
integer | null

Sets the idle timeout (in seconds) for HTTP connections proxied through the Gateway API route.

Required range: x >= 0

Response

Updated advanced settings

deployment.custom_domain_check_enabled
boolean

disable custom domain check when deploying a helm

network.ingress.proxy_body_size_mb
integer
network.ingress.force_ssl_redirect
boolean

When using SSL offloading outside of cluster, you can enforce a redirect to HTTPS even when there is no TLS certificate available

network.ingress.enable_cors
boolean
network.ingress.cors_allow_origin
string
network.ingress.cors_allow_methods
string
network.ingress.cors_allow_headers
string
network.ingress.proxy_buffer_size_kb
integer

header buffer size used while reading response header from upstream

network.ingress.keepalive_time_seconds
integer

Limits the maximum time (in seconds) during which requests can be processed through one keepalive connection

network.ingress.keepalive_timeout_seconds
integer

Sets a timeout (in seconds) during which an idle keepalive connection to an upstream server will stay open.

network.ingress.send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a response to the client

network.ingress.proxy_connect_timeout_seconds
integer

Sets a timeout (in seconds) for establishing a connection to a proxied server

network.ingress.proxy_send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the proxied server

network.ingress.proxy_read_timeout_seconds
integer

Sets a timeout (in seconds) for reading a response from the proxied server

network.ingress.proxy_buffering
string

Allows to enable or disable nginx proxy-buffering

network.ingress.proxy_request_buffering
string

Allows to enable or disable nginx proxy-request-buffering

network.ingress.grpc_send_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the grpc server

network.ingress.grpc_read_timeout_seconds
integer

Sets a timeout (in seconds) for transmitting a request to the grpc server

network.ingress.whitelist_source_range
string

list of source ranges to allow access to ingress proxy. This property can be used to whitelist source IP ranges for ingress proxy. The value is a comma separated list of CIDRs, e.g. 10.0.0.0/24,172.10.0.1 To allow all source ranges, set 0.0.0.0/0.

network.ingress.denylist_source_range
string

list of source ranges to deny access to ingress proxy. This property can be used to blacklist source IP ranges for ingress proxy. The value is a comma separated list of CIDRs, e.g. 10.0.0.0/24,172.10.0.1

network.ingress.extra_headers
string

Allows to define response headers

Example:

"{\"X-Frame-Options\":\"DENY \",\"X-Content-Type-Options\":\"nosniff\"}"

network.ingress.basic_auth_env_var
string

Set the name of an environment variable to use as a basic authentication (login:crypted_password) from htpasswd command. You can add multiples comma separated values.

network.ingress.enable_sticky_session
boolean

Enable the load balancer to bind a user's session to a specific target. This ensures that all requests from the user during the session are sent to the same target

network.gateway_api.http_request_timeout_seconds
integer | null

Sets a timeout (in seconds) for requests proxied through the Gateway API route.

Required range: x >= 0
network.gateway_api.http_connection_idle_timeout_seconds
integer | null

Sets the idle timeout (in seconds) for HTTP connections proxied through the Gateway API route.

Required range: x >= 0